Bug 971179 - OSError: [Errno 2] No such file or directory
OSError: [Errno 2] No such file or directory
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:07bbf7c05e8ebcc7f81a0d0f472...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 18:16 EDT by Russell Doty
Modified: 2013-09-27 08:33 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-26 18:57:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda.log (13.87 KB, text/plain)
2013-06-05 18:16 EDT, Russell Doty
no flags Details
File: backtrace (1.12 KB, text/plain)
2013-06-05 18:16 EDT, Russell Doty
no flags Details
File: environ (760 bytes, text/plain)
2013-06-05 18:16 EDT, Russell Doty
no flags Details
File: ifcfg.log (656 bytes, text/plain)
2013-06-05 18:16 EDT, Russell Doty
no flags Details
File: lsblk_output (2.60 KB, text/plain)
2013-06-05 18:17 EDT, Russell Doty
no flags Details
File: nmcli_dev_list (3.64 KB, text/plain)
2013-06-05 18:17 EDT, Russell Doty
no flags Details
File: packaging.log (813.17 KB, text/plain)
2013-06-05 18:17 EDT, Russell Doty
no flags Details
File: program.log (55.97 KB, text/plain)
2013-06-05 18:17 EDT, Russell Doty
no flags Details
File: storage.log (180.50 KB, text/plain)
2013-06-05 18:17 EDT, Russell Doty
no flags Details
File: syslog (107.52 KB, text/plain)
2013-06-05 18:17 EDT, Russell Doty
no flags Details
File: anaconda-tb (1.19 MB, text/plain)
2013-06-05 18:17 EDT, Russell Doty
no flags Details

  None (edit)
Description Russell Doty 2013-06-05 18:16:42 EDT
Description of problem:
Failure during installation. Accepted defaults. Attempting to install onto a drive that had RHEL 6 installed. Installation proceeded normally to the point of Installing Bootloader.
The following was filed automatically by anaconda:
anaconda 19.30-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/subprocess.py", line 1308, in _execute_child
    raise child_exception
  File "/usr/lib64/python2.7/subprocess.py", line 711, in __init__
    errread, errwrite)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/iutil.py", line 80, in _run_program
    preexec_fn=chroot, cwd=root, env=env)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/iutil.py", line 115, in execWithRedirect
    return _run_program(argv, stdin=stdin, stdout=stdout, root=root, env_prune=env_prune)[0]
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 215, in execute
    iutil.execWithRedirect("/usr/sbin/authconfig", args, root=ROOT_PATH)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 66, in doConfiguration
    ksdata.authconfig.execute(storage, ksdata, instClass)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
OSError: [Errno 2] No such file or directory

Version-Release number of selected component:
anaconda-19.30-1

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019-Beta\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.2-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Beta

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 66, in doConfiguration
    ksdata.authconfig.execute(storage, ksdata, instClass)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 215, in execute
    iutil.execWithRedirect("/usr/sbin/authconfig", args, root=ROOT_PATH)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/iutil.py", line 115, in execWithRedirect
    return _run_program(argv, stdin=stdin, stdout=stdout, root=root, env_prune=env_prune)[0]
  File "/usr/lib64/python2.7/site-packages/pyanaconda/iutil.py", line 80, in _run_program
    preexec_fn=chroot, cwd=root, env=env)
  File "/usr/lib64/python2.7/subprocess.py", line 711, in __init__
    errread, errwrite)
  File "/usr/lib64/python2.7/subprocess.py", line 1308, in _execute_child
    raise child_exception
OSError: [Errno 2] No such file or directory
Comment 1 Russell Doty 2013-06-05 18:16:47 EDT
Created attachment 757390 [details]
File: anaconda.log
Comment 2 Russell Doty 2013-06-05 18:16:50 EDT
Created attachment 757391 [details]
File: backtrace
Comment 3 Russell Doty 2013-06-05 18:16:53 EDT
Created attachment 757392 [details]
File: environ
Comment 4 Russell Doty 2013-06-05 18:16:56 EDT
Created attachment 757393 [details]
File: ifcfg.log
Comment 5 Russell Doty 2013-06-05 18:17:00 EDT
Created attachment 757394 [details]
File: lsblk_output
Comment 6 Russell Doty 2013-06-05 18:17:03 EDT
Created attachment 757395 [details]
File: nmcli_dev_list
Comment 7 Russell Doty 2013-06-05 18:17:09 EDT
Created attachment 757396 [details]
File: packaging.log
Comment 8 Russell Doty 2013-06-05 18:17:12 EDT
Created attachment 757397 [details]
File: program.log
Comment 9 Russell Doty 2013-06-05 18:17:16 EDT
Created attachment 757398 [details]
File: storage.log
Comment 10 Russell Doty 2013-06-05 18:17:20 EDT
Created attachment 757399 [details]
File: syslog
Comment 11 Russell Doty 2013-06-05 18:17:26 EDT
Created attachment 757400 [details]
File: anaconda-tb
Comment 12 hi 2013-07-27 11:36:18 EDT
I created a user account and then set the root password. The error occurs just after clicking the 'continue configuration' button. After a few seconds the advert banner at the bottom of the screen appeared. Next thing the "error ocurred" message appears.

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019\x20x86_64 rd.live.check quiet BOOT_IMAGE=vmlinuz 
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
package:        anaconda-19.30.13-1
product:        Fedora
reason:         OSError: [Errno 2] No such file or directory
release:        Cannot get release name.
version:        19
Comment 13 David Shea 2013-08-02 15:19:11 EDT
Russell, does this problem still occur with the F19 release? It looks like anaconda failed to run authconfig, but the packaging.log shows that authconfig was installed, so I'm not sure what's going on.
Comment 14 Viji 2013-08-03 08:02:50 EDT
This problem while I tried to install fedora 19 on vmplayer 5.2 version. 
I tried two times and the same error came and the installation failed.
The installation failed while installing the bootloader

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019\x20x86_64 quiet ks=cdrom:/dev/cdrom:/ks.cfg BOOT_IMAGE=vmlinuz 
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
package:        anaconda-19.30.13-1
product:        Fedora
reason:         OSError: [Errno 2] No such file or directory
release:        Cannot get release name.
version:        19
Comment 15 Dirk Lehmann 2013-08-07 02:59:46 EDT
Install F19
- /var, /tmp, /swap, /home on HDD with LVM from existing (F19) system
- / new created as ext4 on SSD
bootloader on SSD

At installing bootloader stage, pressing configuration button (lower right) it crashed

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
package:        anaconda-19.30.13-1
product:        Fedora
reason:         OSError: [Errno 2] Datei oder Verzeichnis nicht gefunden
release:        Cannot get release name.
version:        19
Comment 16 Darshan 2013-08-30 23:40:15 EDT
Was installing Fedora 9 x86_64 on VMware 9. My machine is x86_64 compatible.
Virtual Disk was created (7GB ). 
All sda's were created and the complete option too was displayed; sfter that this error was shown.

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019\x20x86_64 quiet ks=cdrom:/dev/cdrom:/ks.cfg BOOT_IMAGE=vmlinuz 
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
package:        anaconda-19.30.13-1
product:        Fedora
reason:         OSError: [Errno 2] No such file or directory
release:        Cannot get release name.
version:        19
Comment 17 Milan Bouchet-Valat 2013-09-15 07:41:22 EDT
Hard to tell what's wrong...

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Desktop-i686-19-1 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.i686
other involved packages: python-libs-2.7.5-1.fc19.i686
package:        anaconda-19.30.13-1.fc19.i686
product:        Fedora
reason:         OSError: [Errno 2] Aucun fichier ou dossier de ce type
release:        Fedora release 19 (Schrödinger’s Cat)
version:        19
Comment 18 Milan Bouchet-Valat 2013-09-15 08:07:48 EDT
My second install attempt succeeded. What I did differently:
- Use standard partitions instead of BTRFS subvolumes (in the first attempt, I asked for one volume called fedora on which I put both / and /home).
- Use a strong password for root.
- Only set root password after the install completed (i.e. button to finish configuration appeared).
- Did not create any normal user.

So one of these changes fixed the bug.
Comment 19 baaaga 2013-09-26 12:15:10 EDT
I have got the same issue, and this didnt resolve it.
(In reply to Milan Bouchet-Valat from comment #18)
> My second install attempt succeeded. What I did differently:
> - Use standard partitions instead of BTRFS subvolumes (in the first attempt,
> I asked for one volume called fedora on which I put both / and /home).
> - Use a strong password for root.
> - Only set root password after the install completed (i.e. button to finish
> configuration appeared).
> - Did not create any normal user.
> 
> So one of these changes fixed the bug.
Comment 20 Brian Lane 2013-09-26 18:57:19 EDT
22:12:04,571 DEBUG packaging: Traceback (most recent call last):
22:12:04,572 DEBUG packaging: File "/usr/libexec/anaconda/anaconda-yum", line 178, in callback
22:12:04,572 DEBUG packaging: return func(amount, total, key, data)
22:12:04,572 DEBUG packaging: File "/usr/libexec/anaconda/anaconda-yum", line 277, in inst_open_file
22:12:04,573 DEBUG packaging: os.unlink(txmbr.po.localPkg())
22:12:04,574 DEBUG packaging: OSError: [Errno 30] Read-only file system: '/run/install/repo/Packages/s/schroedinger-cat-backgrounds-base-18.90.0-1.fc19.noarch.rpm'
22:12:04,575 DEBUG packaging: FATAL ERROR: python callback <bound method RPMCallback.callback of <__main__.RPMCallback object at 0x7f4c6aa470d0>> failed, aborting!

Something happened to set the filesystem to read only so it couldn't finish the install. I'd expect to see errors in syslog, but there is nothing there.

As for the 'dupes' of this error, if you don't have   iutil.execWithRedirect("/usr/sbin/authconfig", args, root=ROOT_PATH) in your traceback, please open a new bug with the anaconda-tb-* file attached to it -- the abbreviated reports don't really tell us anything.
Comment 21 Milan Bouchet-Valat 2013-09-27 08:33:17 EDT
ABRT should be fixed to upload the full data then. Of course now I cannot wipe my whole system just to try reproducing the bug and possibly give you some information. When install errors happen and a user reports them, all possible information should be saved when it's still available...

Note You need to log in before you can comment on or make changes to this bug.